import { h } from "@stencil/core";
export class BpSdkQuoteRequestEmpty {
    constructor() {
        this.useExternal = false;
    }
    componentWillLoad() {
        this.useExternal = !!customElements.get('bp-sdk-external-quote-request-empty');
        customElements.whenDefined('bp-sdk-external-quote-request-empty').then(() => {
            this.useExternal = true;
        });
    }
    render() {
        return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
    }
    renderExternal() {
        return h("bp-sdk-external-quote-request-empty", null);
    }
    renderInternal() {
        return h("div", { class: "bp-sdk-quote-request-empty__container" }, "No quotes were returned.");
    }
    static get is() { return "bp-sdk-quote-request-empty"; }
    static get originalStyleUrls() {
        return {
            "$": ["./bp-sdk-quote-request-empty.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bp-sdk-quote-request-empty.css"]
        };
    }
    static get states() {
        return {
            "useExternal": {}
        };
    }
}
